### Method

# Gio Task propagate_pointer

since: 2.36

#### Declaration

    gpointer
    g_task_propagate_pointer (
      GTask* task
      GError** error
    )

#### Description

Gets the result of `task` as a pointer, and transfers ownership of that value to the caller.

If the task resulted in an error, or was cancelled, then this will instead return `NULL` and set `error`.

Since this method transfers ownership of the return value (or error) to the caller, you may only call it once.

Available since: 2.36

#### Return value

Type: `gpointer`

The task result, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.